Interface AWS2S3VectorsEndpointBuilderFactory.AWS2S3VectorsBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
AWS2S3VectorsEndpointBuilderFactory
public static interface AWS2S3VectorsEndpointBuilderFactory.AWS2S3VectorsBuilders
-
Method Summary
Modifier and TypeMethodDescriptionAWS S3 Vectors (camel-aws2-s3-vectors) Store and query vector embeddings using AWS S3 Vectors with similarity search.aws2S3Vectors(String path) AWS S3 Vectors (camel-aws2-s3-vectors) Store and query vector embeddings using AWS S3 Vectors with similarity search.aws2S3Vectors(String componentName, String path) AWS S3 Vectors (camel-aws2-s3-vectors) Store and query vector embeddings using AWS S3 Vectors with similarity search.
-
Method Details
-
aws2S3Vectors
AWS S3 Vectors (camel-aws2-s3-vectors) Store and query vector embeddings using AWS S3 Vectors with similarity search. Category: cloud,ai Since: 4.17 Maven coordinates: org.apache.camel:camel-aws2-s3-vectors- Returns:
- the dsl builder for the headers' name.
-
aws2S3Vectors
AWS S3 Vectors (camel-aws2-s3-vectors) Store and query vector embeddings using AWS S3 Vectors with similarity search. Category: cloud,ai Since: 4.17 Maven coordinates: org.apache.camel:camel-aws2-s3-vectors Syntax:aws2-s3-vectors://vectorBucketNamePath parameter: vectorBucketName (required) Vector bucket name or ARN- Parameters:
path- vectorBucketName- Returns:
- the dsl builder
-
aws2S3Vectors
default AWS2S3VectorsEndpointBuilderFactory.AWS2S3VectorsEndpointBuilder aws2S3Vectors(String componentName, String path) AWS S3 Vectors (camel-aws2-s3-vectors) Store and query vector embeddings using AWS S3 Vectors with similarity search. Category: cloud,ai Since: 4.17 Maven coordinates: org.apache.camel:camel-aws2-s3-vectors Syntax:aws2-s3-vectors://vectorBucketNamePath parameter: vectorBucketName (required) Vector bucket name or ARN- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- vectorBucketName- Returns:
- the dsl builder
-